io.vertx.redis.op

## Class RangeLimitOptions

- java.lang.Object
- - io.vertx.redis.op.LimitOptions
  - - io.vertx.redis.op.RangeLimitOptions

- Deprecated.
  Use `Redis`

      @Deprecated
      public class RangeLimitOptions
      extends LimitOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RangeLimitOptions` | `NONE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeLimitOptions()` Deprecated.
    `RangeLimitOptions(JsonObject obj)` Deprecated.
    `RangeLimitOptions(RangeLimitOptions obj)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RangeLimitOptions` | `setWithscores(Boolean withscores)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.
    `RangeLimitOptions` | `useWithScores()` Deprecated.

    - ### Methods inherited from class io.vertx.redis.op.LimitOptions

      `setCount, setLimit, setOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final RangeLimitOptions NONE

      Deprecated.

  - ### Constructor Detail

    - #### RangeLimitOptions

          public RangeLimitOptions()

      Deprecated.

    - #### RangeLimitOptions

          public RangeLimitOptions(RangeLimitOptions obj)

      Deprecated.

    - #### RangeLimitOptions

          public RangeLimitOptions(JsonObject obj)

      Deprecated.

  - ### Method Detail

    - #### useWithScores

          public RangeLimitOptions useWithScores()

      Deprecated.

    - #### setWithscores

          public RangeLimitOptions setWithscores(Boolean withscores)

      Deprecated.

    - #### toJson

          public JsonObject toJson()

      Deprecated.
      Overrides:
        `toJson` in class `LimitOptions`

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.
      Overrides:
        `toJsonArray` in class `LimitOptions`

Copyright © 2022 Eclipse. All rights reserved.